<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Documento sin título</title>
<link href='http://fonts.googleapis.com/css?family=Roboto+Slab' rel='stylesheet' type='text/css'>
<link href="objetos.css" rel="stylesheet" type="text/css">
<script src="o1.js"></script>
</head>

<body>
<div class="cajas entrada">
<pre>
	class Animal{
		//propiedad estatica
		static pelo="si";
	
		constructor(){
			// propiedad no estatica
			this.peso=0;
		}
		
		// metodo no estatico
		comer(){
			console.log("ÑAN");
		};
	
		//metodo estatico
		static estatico(){
			console.log("esto es un elemento de la clase");
		};
	};
	
	const leon=new Animal();
	
	/* Produce error ya que es un metodo de la clase y no del objeto 
	leon.estatico();
	*/
	
	Animal.estatico();
	
	console.log(Animal.pelo);
	/* Esto esta vacio porque es un elemento de la clase y no del objeto
	console.log(leon.pelo);
	*/
</pre>
</div>
<div class="cajas salida" >
<div class="titulo">
Ejercicio 1
</div>
<div class="explicacion">
Vamos a ver como crear metodos estaticos en Javascript (en las ultimas versiones tambien tenemos propiedades statics).
</div>
</div>
</body>
</html>
